(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      7655,        245]
NotebookOptionsPosition[      7140,        222]
NotebookOutlinePosition[      7496,        238]
CellTagsIndexPosition[      7453,        235]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "\:6955\:5186\:521d\:7b49\:95a2\:6570\:ff08\:52d5\:753b\:ff09\n",
 StyleBox[" Elliptic elementary functions (Animations)",
  FontSize->18]
}], "Subtitle",
 CellChangeTimes->{{3.7901316161565585`*^9, 3.7901316229893703`*^9}, 
   3.790131754045201*^9, 3.790211476666171*^9}],

Cell[BoxData[
 StyleBox[
  RowBox[{"<<", "EllipticSpecialFunctions`EllipticElementaryFunction`"}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 FontColor->RGBColor[0, 0, 1]],

Cell[CellGroupData[{

Cell[TextData[{
 "\:6955\:5186\:30b7\:30d5\:30c8\:56e0\:5b50\:ff1a",
 StyleBox["Elliptic shifted factorial",
  FontSize->14]
}], "Subsection",
 CellChangeTimes->{{3.7901309340297604`*^9, 3.7901309340297604`*^9}, 
   3.79013096813142*^9, {3.790131673393059*^9, 3.7901317198499403`*^9}},
 FontFamily->"Arial",
 FontSize->16],

Cell["\<\
\:3000PlotLabel \:5185\:306b\:3042\:308b\:30c6\:30ad\:30b9\:30c8\:306f\:3001\
\:597d\:307f\:306e\:30d5\:30a9\:30f3\:30c8\:306b\:5909\:66f4\:3057\:3066\:4e0b\
\:3055\:3044\:3002
\:3000Change the text in \[OpenCurlyDoubleQuote]PlotLabel\
\[CloseCurlyDoubleQuote] to your favorite font.\
\>", "Text",
 CellChangeTimes->{{3.7901985166538*^9, 3.7901987348825836`*^9}, {
   3.7901990805635905`*^9, 3.7901991759421577`*^9}, 3.7902017149090176`*^9}],

Cell[BoxData[
 RowBox[{"move1EllipPoch", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"DensityPlot", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Arg", "[", 
       RowBox[{"EllipticShiftedFactorial", "[", 
        RowBox[{
         RowBox[{"x", "+", 
          RowBox[{"I", " ", "y"}]}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"0.5", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{
              RowBox[{"-", "\[Pi]"}], " ", "I", "*", "t"}], "]"}]}], ",", 
           RowBox[{"0.7", " ", 
            RowBox[{"Exp", "[", 
             RowBox[{"\[Pi]", " ", "I", "*", "t"}], "]"}]}]}], "}"}]}], "]"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], ",", 
      RowBox[{"PlotPoints", "\[Rule]", "170"}], ",", "\[IndentingNewLine]", 
      RowBox[{"MaxRecursion", "\[Rule]", "2"}], ",", 
      RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
      RowBox[{"ColorFunction", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Hue", "[", 
          RowBox[{"#", 
           StyleBox["/",
            FontColor->GrayLevel[0]], 
           StyleBox[
            RowBox[{"(", 
             RowBox[{"2", " ", "Pi"}], ")"}],
            FontColor->GrayLevel[0]]}], "]"}], "&"}], ")"}]}], ",", 
      "\[IndentingNewLine]", 
      StyleBox[
       RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}],
       FontColor->GrayLevel[0]], ",", 
      StyleBox[
       RowBox[{"Exclusions", "\[Rule]", "None"}],
       FontColor->GrayLevel[0]], ",", "\[IndentingNewLine]", 
      RowBox[{"FrameLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<Re(\!\(\*
StyleBox[\"a\",
FontSlant->\"Italic\"]\))\>\"", ",", 
         StyleBox["\"\<Im(\!\(\*
StyleBox[\"a\",
FontSlant->\"Italic\"]\))\>\"",
          FontColor->GrayLevel[0]]}], "}"}]}], ",", 
      RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
      RowBox[{"FrameStyle", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"FontSize", "\[Rule]", "12"}], ")"}]}], ",", 
      RowBox[{"FrameTicksStyle", "\[Rule]", "10"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotLabel", "\[Rule]", "\[IndentingNewLine]", 
       RowBox[{"Framed", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{"\"\<(\!\(\*
StyleBox[\"a\",
FontSize->14,
FontSlant->\"Italic\"]\)\!\(\*
StyleBox[\" \",
FontSize->8]\);\!\(\*
StyleBox[\" \",
FontSize->8]\){0.5\!\(\*
StyleBox[\" \",
FontSize->6]\)\!\(\*
StyleBox[SuperscriptBox[\"e\", 
RowBox[{
StyleBox[\"-\",
FontSize->10,
FontSlant->\"Plain\"], 
StyleBox[
RowBox[{
StyleBox[\"\[Pi]\",
FontSize->10,
FontSlant->\"Plain\"], 
StyleBox[\"i\",
FontSize->10,
FontSlant->\"Italic\"], 
StyleBox[\"\[Theta]\",
FontSize->9,
FontSlant->\"Plain\"]}]]}]],
FontSize->16,
FontSlant->\"Italic\"]\), 0.7\!\(\*
StyleBox[\" \",
FontSize->6]\)\!\(\*
StyleBox[SuperscriptBox[\"e\", 
StyleBox[
RowBox[{
StyleBox[\"\[Pi]\",
FontSize->10,
FontSlant->\"Plain\"], 
StyleBox[\"i\",
FontSize->10,
FontSlant->\"Italic\"], 
StyleBox[\"\[Theta]\",
FontSize->9,
FontSlant->\"Plain\"]}]]],
FontSize->16,
FontSlant->\"Italic\"]\)}\!\(\*SubscriptBox[\()\), \(\[Infinity]\)]\)\:3000;\
\:3000\[Theta]\!\(\*
StyleBox[\" \",
FontSize->8]\)=\>\"", ",", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"N", "[", "t", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}]}], "}"}], "]"}], ",",
            "\[IndentingNewLine]", 
           RowBox[{"FontFamily", "\[Rule]", "\"\<CenturyOldst\>\""}]}], "]"}],
          ",", "\[IndentingNewLine]", 
         RowBox[{"FrameMargins", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"3", ",", "0"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"FrameStyle", "\[Rule]", "None"}]}], "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotRegion", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.02", ",", "0.98"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.01", ",", "0.99"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "400"}]}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"1", "/", "50"}], ",", "2", ",", 
      RowBox[{"1", "/", "50"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6761495676910753`*^9, 3.676149567925076*^9}, {
  3.676153285780648*^9, 3.676153295858266*^9}, {3.790198446016876*^9, 
  3.7901984575296965`*^9}}],

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<e010move_0010.gif\>\"", ",", "move1EllipPoch", ",", 
   RowBox[{"ImageResolution", "\[Rule]", "120"}]}], "]"}]], "Input",
 Background->RGBColor[
  0.9019607843137255, 0.8196078431372549, 0.9372549019607843]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1026, 790},
WindowMargins->{{Automatic, 103}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (2011\:5e743\:670821\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 289, 6, 108, "Subtitle"],
Cell[871, 30, 172, 4, 43, "Input"],
Cell[CellGroupData[{
Cell[1068, 38, 322, 8, 59, "Subsection"],
Cell[1393, 48, 451, 8, 66, "Text"],
Cell[1847, 58, 5001, 153, 509, "Input"],
Cell[6851, 213, 261, 5, 67, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
